import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

/**
 * Write a description of class SplashScreen here.
 * 
 * @author Ed Parrish
 * @version 1.0  8/2/2014
 */
public class SplashScreen extends World
{
    private static final int WIDTH = Game.WIDTH * Game.CELL_SIZE;
    private static final int HEIGHT = Game.HEIGHT * Game.CELL_SIZE;
    private ParticleText pt;
    private boolean started = false;
    private int delay;

    /**
     * Constructor for objects of class SplashScreen.
     * 
     */
    public SplashScreen()
    {    
        super(WIDTH, HEIGHT, 1);
        GreenfootImage img = new GreenfootImage("jumbledgames.gif");
        pt = new ParticleText(img, 400);
        addObject(pt, WIDTH / 2, HEIGHT / 2);
        addObject(new Instructions(), getWidth() / 2, getHeight() / 2 - 1);
    }

    /**
     * Display the splash screen animation.
     */
    public void act() {
        if (!started) {
            Greenfoot.playSound("speedup.wav");
            started = true;
        }
        if (pt.isCoalesced()) {
            delay++;
            if (delay > 90) moveOn();
        }
        if (Greenfoot.mouseClicked(null)) {
            moveOn();
        }
    }
    
    private void moveOn() {
            List<Actor> list = getObjects(null);
            removeObjects(list);
            list.clear();
            list = null;
            System.gc();
            Greenfoot.setWorld(new GameManager());
    }
}
